apiVersion: observability.openshift.io/v1alpha1
kind: UIPlugin
metadata:
  annotations:
    observability.openshift.io/api-support: TechPreview
  creationTimestamp: "2025-05-15T11:16:21Z"
  finalizers:
  - uiplugin.observability.openshift.io/finalizer
  generation: 1
  name: monitoring
  resourceVersion: "9468544085"
  uid: 0a93e92b-add3-4e7f-b5ee-7006596f0a8f
spec:
  monitoring:
    acm:
      alertmanager:
        url: https://alertmanager.open-cluster-management-observability.svc:9095
      enabled: true
      thanosQuerier:
        url: https://rbac-query-proxy.open-cluster-management-observability.svc:8443
    incidents:
      enabled: true
  type: Monitoring
status:
  conditions:
  - lastTransitionTime: "2025-10-30T14:18:04Z"
    message: Plugin reconciled successfully
    observedGeneration: 1
    reason: UIPluginReconciled
    status: "True"
    type: Reconciled
  - lastTransitionTime: "2025-10-30T14:18:04Z"
    message: ""
    observedGeneration: 1
    reason: UIPluginAvailable
    status: "True"
    type: Available
